QGIS Application - Bug report #17888
missing symbol names in WMS legend (QGIS server)
2018-01-18 04:42 PM - Anne Blankert

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.18 Regression?: Yes

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 25783
Description

After upgrading to Ubuntu 17.10 and installing the default QGis server from the repository, the WMS getLegendGraphics request
parameter LAYERTITLE now produces wrong / different result.

There are 2 kinds of layers:
1. layers with multiple symbols (classes)
2. layers with a single symbol

Old (expected) behavior of the LAYERTITLE option in the WMS getLegendGraphics request:
layertitle=false => show only symbol names. If the layer has only one symbol, show the symbol name (by default identical to layer title)
layertitle=true => for layers with more than one symbol, show the layer title at the top of the list of symbols

New (unexpected) behavior:

layertitle=false => (see attached image legendlayertitlefalse.png): no names for single symbol layers, symbol names for multi-symbol
layers

layertitle=true => (see attached image legendlayertitletrue.png): duplicate names for single symbol layers (layer-title + layer-title for single
symbol), for multi-symbol layer: layer-title + symbol names for each symbol

Example WMS getlLegendGraphics URLs:

laytertitle=false:
https://pico.geodan.nl/cgi-bin/qgis_mapserv.fcgi?DPI=120&#38;map=/ust/lib/cgi-bin/projects/Infra_elekira_fout.qgs&#38;request=GetL
gendGraphic&#38;service=WMS&#38;itemFONTSIZE=8&#38;format=png&#38;layertitle=false&#38;layer=Infra_elektra_ fout

layertitle=true:
https://pico.geodan.nl/cgi-bin/ggis _mapserv.fcgi?DPI=120&#38;map=/usr/lib/cgi-bin/projects/Infra_elektra fout.qgs&#38;request=GetL
gendGraphic&#38;service=WMS&#38;itemFONTSIZE=8&#38;format=png&#38;layertitle=true&#38;layer=Infra_elektra fout

History

#1 - 2018-02-22 07:44 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2018-09-05 04:04 PM - Regis Haubourg

- Status changed from Open to Feedback

is it still true in 2.18 and QGIS 3 ?

#3 - 2018-11-11 04:33 AM - Jiirgen Fischer
- Resolution set to no timely feedback

- Status changed from Feedback to Closed
